package com.cooleshow.usercenter.ui.activity

import android.os.Bundle
import android.widget.Button
import com.alibaba.android.arouter.facade.annotation.Route
import com.alibaba.android.arouter.launcher.ARouter
import com.cooleshow.base.ext.onClick
import com.cooleshow.base.ext.showToast
import com.cooleshow.base.ui.activity.BaseMvpActivity
import com.cooleshow.provider.router.RouterPath
import com.cooleshow.usercenter.R
import com.cooleshow.usercenter.data.protocol.UserInfo
import com.cooleshow.usercenter.injection.component.DaggerUserComponent
import com.cooleshow.usercenter.injection.module.UserModule
import com.cooleshow.usercenter.presenter.LoginPresenter
import com.cooleshow.usercenter.presenter.view.LoginView
import kotlinx.android.synthetic.main.activity_login.*

@Route(path = RouterPath.UserCenter.PATH_LOGIN)
class LoginActivity : BaseMvpActivity<LoginPresenter>(), LoginView{

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_login)
        initView()
    }


    override fun injectComponent() {
        DaggerUserComponent.builder()
            .activityComponent(mActivityComponent)
            .userModule(UserModule())
            .build()
            .inject(this)
        mPresenter.mView = this
    }


    override fun onLoginResult(result: UserInfo) {
        TODO("Not yet implemented")
    }

    private fun initView() {
        mForgetPwdTv.onClick{
            ARouter.getInstance().build(RouterPath.APPCenter.PATH_HOME).navigation()
        }


    }
}